load_dna;
dna_data.sequence = virus_dna;

% for quicker testing, you may want to uncomment the following line
% dna.sequence = virus_dna(1:1000);
%% directed sequence mining - virus

seqs = directedSequenceMining(dna_data, 0.01);
fprintf('Printing results of directed sequence mining (virus)...\n');
printResults(seqs, 4);

%% undirected sequence mining - virus

seqs = undirectedSequenceMining(dna_data, 0.01);
fprintf('Printing results of undirected sequence mining (virus)...\n');
printResults(seqs, 4);

%% Saccharomyces 

% first 10k nucleotides
dna_data.sequence = saccharomyces_dna(1:10000);
% ... or all genome
% dna_data.sequence = saccharomyces_dna;

%% directed sequence mining - Saccharomyces 
seqs = directedSequenceMining(dna_data, 0.01);
fprintf('Printing results of directed sequence mining (yeast)...\n');
printResults(seqs, 4);

%% undirected sequence mining - Saccharomyces

seqs = undirectedSequenceMining(dna_data, 0.01);
fprintf('Printing results of undirected sequence mining (yeast)...\n');
printResults(seqs, 4);